Partial Update Debit Memo
curl --request PATCH \
--url https://api.meetcampfire.com/coa/api/v1/debit-memo/{id} \
--header 'Content-Type: application/json' \
--data '
{
"message_on_debit_memo": "Updated message for debit memo"
}
'import requests
url = "https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}"
payload = { "message_on_debit_memo": "Updated message for debit memo" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message_on_debit_memo: 'Updated message for debit memo'})
};
fetch('https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'message_on_debit_memo' => 'Updated message for debit memo'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}"
payload := strings.NewReader("{\n \"message_on_debit_memo\": \"Updated message for debit memo\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}")
.header("Content-Type", "application/json")
.body("{\n \"message_on_debit_memo\": \"Updated message for debit memo\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"message_on_debit_memo\": \"Updated message for debit memo\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"lines": [
{
"id": 123,
"account_number": "<string>",
"account_name": "<string>",
"department_name": "<string>",
"tags": [
{}
],
"tax_rate_name": "<string>",
"tax_rate_value": 0,
"amortization_schedule": [
{
"journal_entry_order": "<string>",
"date": "2023-12-25",
"amount": 0,
"customer": 123,
"id": 123,
"posted": true,
"transaction": 123,
"bill_line": 123,
"debit_memo_line": 123,
"journal_entry": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"account": 123,
"description": "<string>",
"amount": 0,
"tax": 0,
"tax_description": "<string>",
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"tax_rate": 123,
"department": 123
}
],
"payments": [
{
"id": 123,
"payment_journal_entry_order": "<string>",
"voided_journal_entry_order": "<string>",
"bill": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"debit_memo": 123,
"payment_journal_entry": 123,
"currency": "<string>",
"amount": 0,
"payment_date": "2023-12-25",
"voided_date": "2023-12-25",
"payment_transaction": 123,
"voided_journal_entry": 123
}
],
"amount_remaining": 123,
"entity_name": "<string>",
"entity_currency": "<string>",
"vendor_name": "<string>",
"vendor_campfire_id": "<string>",
"debit_account_number": "<string>",
"debit_account_name": "<string>",
"attachments": [
{
"id": 123,
"customer": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_name": "<string>",
"created_by_email": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"url": "<string>",
"s3_path": "<string>",
"app": "<string>",
"model": "<string>",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"s3_content_type": "<string>",
"s3_content_length": 1073741823,
"object_id": 1073741823
}
],
"voided_date": "2023-12-25",
"voided_journal_entry_order": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"amortizations": [
{}
],
"search_vector": "<string>",
"search_text": "<string>",
"debit_memo_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"entity": 123,
"debit_memo_number": "<string>",
"ref_number": "<string>",
"applied_date": "2023-12-25",
"message_on_debit_memo": "<string>",
"source_id": "<string>",
"source": "<string>",
"application_status": "open",
"currency": "<string>",
"exchange_rate": 0,
"exchange_rate_book": 0,
"total_amount": 0,
"amount_used": 0,
"chat_id": -1,
"tax_behavior": "inclusive",
"vendor": 123,
"debit_account": 123,
"journal_entry": 123,
"voided_journal_entry": 123
}Accounts Payable
Partial Update Debit Memo
Performs a partial update of an existing accounting debit memo using PATCH semantics.
This endpoint allows selective modification of debit memo fields without requiring a complete replacement.
PATCH
/
coa
/
api
/
v1
/
debit-memo
/
{id}
Partial Update Debit Memo
curl --request PATCH \
--url https://api.meetcampfire.com/coa/api/v1/debit-memo/{id} \
--header 'Content-Type: application/json' \
--data '
{
"message_on_debit_memo": "Updated message for debit memo"
}
'import requests
url = "https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}"
payload = { "message_on_debit_memo": "Updated message for debit memo" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message_on_debit_memo: 'Updated message for debit memo'})
};
fetch('https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'message_on_debit_memo' => 'Updated message for debit memo'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}"
payload := strings.NewReader("{\n \"message_on_debit_memo\": \"Updated message for debit memo\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}")
.header("Content-Type", "application/json")
.body("{\n \"message_on_debit_memo\": \"Updated message for debit memo\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"message_on_debit_memo\": \"Updated message for debit memo\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"lines": [
{
"id": 123,
"account_number": "<string>",
"account_name": "<string>",
"department_name": "<string>",
"tags": [
{}
],
"tax_rate_name": "<string>",
"tax_rate_value": 0,
"amortization_schedule": [
{
"journal_entry_order": "<string>",
"date": "2023-12-25",
"amount": 0,
"customer": 123,
"id": 123,
"posted": true,
"transaction": 123,
"bill_line": 123,
"debit_memo_line": 123,
"journal_entry": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"account": 123,
"description": "<string>",
"amount": 0,
"tax": 0,
"tax_description": "<string>",
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"tax_rate": 123,
"department": 123
}
],
"payments": [
{
"id": 123,
"payment_journal_entry_order": "<string>",
"voided_journal_entry_order": "<string>",
"bill": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"debit_memo": 123,
"payment_journal_entry": 123,
"currency": "<string>",
"amount": 0,
"payment_date": "2023-12-25",
"voided_date": "2023-12-25",
"payment_transaction": 123,
"voided_journal_entry": 123
}
],
"amount_remaining": 123,
"entity_name": "<string>",
"entity_currency": "<string>",
"vendor_name": "<string>",
"vendor_campfire_id": "<string>",
"debit_account_number": "<string>",
"debit_account_name": "<string>",
"attachments": [
{
"id": 123,
"customer": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_name": "<string>",
"created_by_email": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"url": "<string>",
"s3_path": "<string>",
"app": "<string>",
"model": "<string>",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"s3_content_type": "<string>",
"s3_content_length": 1073741823,
"object_id": 1073741823
}
],
"voided_date": "2023-12-25",
"voided_journal_entry_order": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"amortizations": [
{}
],
"search_vector": "<string>",
"search_text": "<string>",
"debit_memo_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"entity": 123,
"debit_memo_number": "<string>",
"ref_number": "<string>",
"applied_date": "2023-12-25",
"message_on_debit_memo": "<string>",
"source_id": "<string>",
"source": "<string>",
"application_status": "open",
"currency": "<string>",
"exchange_rate": 0,
"exchange_rate_book": 0,
"total_amount": 0,
"amount_used": 0,
"chat_id": -1,
"tax_behavior": "inclusive",
"vendor": 123,
"debit_account": 123,
"journal_entry": 123,
"voided_journal_entry": 123
}Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Show child attributes
Show child attributes
Maximum string length:
120Maximum string length:
120Maximum string length:
120open- Openpartially_used- Partially Usedused- Usedvoided- Voided
Available options:
open, partially_used, used, voided Maximum string length:
3Required range:
-100000000000000 < x < 100000000000000Required range:
-100000000000000 < x < 100000000000000Sum of all line item amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Sum of all non-voided payment amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-2147483648 <= x <= 2147483647inclusive- Inclusiveexclusive- Exclusive
Available options:
inclusive, exclusive Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Calculate amount remaining from database fields
Combines account number and name in the format "number - name"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
120Maximum string length:
120Maximum string length:
120open- Openpartially_used- Partially Usedused- Usedvoided- Voided
Available options:
open, partially_used, used, voided Maximum string length:
3Required range:
-100000000000000 < x < 100000000000000Required range:
-100000000000000 < x < 100000000000000Sum of all line item amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Sum of all non-voided payment amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-2147483648 <= x <= 2147483647inclusive- Inclusiveexclusive- Exclusive
Available options:
inclusive, exclusive